function [val1,val2]=riceExpectFuncs( A , sigma)
% [val1,val2] = riceExpectFuncs( A , sigma )
% x = rice distributed variable, with rice distribution parameters A and sigma
%  p(x) = rice(A,sigma)
% val1 = Expect_x( (d( log( p ))/d(A) )^2 )
% val2 = Expect_x( d( log( p ))/d(A) * d^2( log( p ))/d(A^2) + .5* d^3( log( p ))/d(A^3) )
%
% These 2 terms are needed for evaluating the bias of a ML estimator.
%
% The tables in this function are created with FunctionApprox_riceintfns.nb
%
% Created by Dirk Poot, Erasmus MC, 27-3-2012

cutoffbinidx=90;
limits = [0,9584,26562,42199,57113,71596,85790,99789,113666,127474,141262,155050,168913,182875,196975,211257,225769,240565,255710,271288,287410, ...
  304240,321972,341292,361236,381033,400780,420288,439332,458159,476909,495659,514511,533505,552688,572101,591783,611770,632097,652799,673913,695477, ...
  717532,740121,763293,787102,811611,836893,863035,890147,918369,947764,976669,1005285,1033734,1062099,1090464,1118829,1147267,1175801,1204458,1233262, ...
  1262235,1291397,1320766,1350360,1380197,1410295,1440673,1471349,1502344,1533679,1565379,1597471,1629985,1662955,1696422,1730432,1765042,1800320, ...
  1836352,1873235,1911121,1950212,1990812,2033432,2079241,2126708,2175053,2223919,2269660,(1099511627776/473445),(549755813888/231829),( ...
  274877906944/113739),(549755813888/223411),(1099511627776/439091),(68719476736/26979),(549755813888/212239),(1099511627776/417489),( ...
  549755813888/205331),(2147483648/789),(1099511627776/397383),(274877906944/97721),(1099511627776/384449),(1099511627776/378055),(274877906944/92919),( ...
  274877906944/91321),(137438953472/44855),(549755813888/176145),(137438953472/43191),(549755813888/169157),(274877906944/82153),(274877906944/80391),( ...
  1099511627776/315113),(1099511627776/309015),(549755813888/151571),(549755813888/148713),(1099511627776/291819),(1099511627776/286281),( ...
  274877906944/70193),(1099511627776/275263),(1099511627776/269711),(137438953472/33007),(137438953472/32275),(1099511627776/251933),( ...
  549755813888/122159),(4294967296/929),(274877906944/57971),(549755813888/113095),(549755813888/110305),(549755813888/107529),(1099511627776/209463),( ...
  549755813888/101871),(549755813888/98885),(1099511627776/191335),(1099511627776/183659),(1099511627776/175983),(549755813888/84431),( ...
  1099511627776/161741),(1099511627776/154397),(1099511627776/146645),(1099511627776/138393),(549755813888/64811),(1099511627776/120363),( ...
  1099511627776/110657),(1099511627776/100509),(274877906944/22483),(549755813888/39469),(137438953472/8443),(1099511627776/55773),(549755813888/21829), ...
  (1099511627776/31247),(1099511627776/18607),(1099511627776/5815),10485760000]'*(1/1048576);
origins = [0,36146,68761,99312,128709,157386,185579, ...
  213455,241140,268736,296312,323963,351788,379850,408232,437026,466334,496275,526998,558698,591650,626212,663264,702528,742269,781813,821068,859620, ...
  897491,935068,972568,1010170,1048016,1086193,1124789,1163884,1203553,1243867,1284896,1326712,1369390,1413009,1457653,1503414,1550395,1598713,1648504, ...
  1699928,1753182,1808516,1866133,1924433,1981954,2039019,2095833,2152563,2209293,2266096,2323068,2380259,2437720,2495497,2553632,2612163,2671126, ...
  2730557,2790492,2850968,2912022,2973693,3036023,3099058,3162850,3227456,3292940,3359377,3426854,3495474,3565362,3636672,3709587,3784356,3861333, ...
  3941024,4024244,4112673,4205949,4301761,4398972,4493579,958662,937103,918614,901778,885913,870755,856142,841967,828151,814630,801351,788267,775333, ...
  762504,749731,736960,724124,711130,697818,683842,666926,650176,636677,624128,612157,600568,589245,578100,567053,556035,544974,533767,522256,510133, ...
  496251,482142,469708,458074,446800,435668,424521,413205,401512,389105,374994,359642,344845,330603,316138,301042,285038,268015,249985,231020,211166, ...
  190441,168870,146482,123317,99431,74905,49854,24422,0]'*(1/2097152);
func2=[0,(-1/2),0,0.499999999986369710E0,0.477208836462543141E-7,(-0.375026105564936535E0),0.456992961999723041E-2;(-0.861531840644158405E-2),(-0.499554558502167962E0),0.258344409353521574E-1, ...
  0.498886753883243883E0,(-0.322722462462774418E-1),(-0.373412097876973955E0),0.301480534902293695E-1;(-0.163762900221885430E-1),(-0.498389605056464378E0),0.490497179308702700E-1,0.495978709073291004E0, ...
  (-0.611688609181341224E-1),(-0.369336781223645013E0),0.572735988975325631E-1;(-0.236248162099174801E-1),(-0.496645573124555703E0),0.706364857592674623E-1,0.491634379867646483E0,( ...
  -0.878636672765327977E-1),(-0.363227880428454098E0),0.825221404955145371E-1;(-0.305713561337644323E-1),(-0.494376497985084900E0),0.911975194469922247E-1,0.485998954789245986E0,( ...
  -0.113056161525680323E0),(-0.355275955965996407E0),0.106546208093390252E0;(-0.373132973790844344E-1),(-0.491610974956299710E0),0.110998681188019308E0,0.479156510751384065E0,(-0.137027738451437996E0),( ...
  -0.345587441079801816E0),0.129565729039554896E0;(-0.439010347968473944E-1),(-0.488368158461443957E0),0.130166340980766739E0,0.471169960042932432E0,(-0.159887168877348985E0),(-0.334243835387012599E0), ...
  0.151600736038844505E0;(-0.503684770773023171E-1),(-0.484659542067786186E0),0.148777880327168773E0,0.462085657534619195E0,(-0.181682189372177848E0),(-0.321310795432384621E0),0.172581654176567326E0;( ...
  -0.567395970722634733E-1),(-0.480491571649272237E0),0.166880901330977338E0,0.451940125897164045E0,(-0.202423134114163711E0),(-0.306849745352856643E0),0.192377982564844496E0;(-0.630323690626851685E-1), ...
  (-0.475866792176062530E0),0.184504662197095052E0,0.440763177442988557E0,(-0.222097075686919638E0),(-0.290923968713854097E0),0.210819066119407878E0;(-0.692567691730388082E-1),(-0.470788026931448552E0), ...
  0.201654866888823724E0,0.428588269998652245E0,(-0.240663453553618028E0),(-0.273614746530366446E0),0.227698704821307842E0;(-0.754280890601702156E-1),(-0.465249102040010619E0),0.218350511180086532E0, ...
  0.415430586974157756E0,(-0.258095043782456360E0),(-0.254990883931070977E0),0.242821029439592839E0;(-0.815616107536920238E-1),(-0.459238008977004134E0),0.234607851013275954E0,0.401295572553709036E0,( ...
  -0.274358609101010565E0),(-0.235122247960746391E0),0.255988323702643505E0;(-0.876637171433484783E-1),(-0.452746540535244474E0),0.250416809594448639E0,0.386202197709158357E0,(-0.289392189297066833E0),( ...
  -0.214112776745327447E0),0.266989887114569961E0;(-0.937441908228257774E-1),(-0.445759158907763558E0),0.265773719317997717E0,0.370157307943460125E0,(-0.303139246561802591E0),(-0.192064746385645334E0), ...
  0.275637921416192336E0;(-0.998134366259789294E-1),(-0.438254818469074710E0),0.280672853292509524E0,0.353161119203269452E0,(-0.315539078142368909E0),(-0.169087187253431271E0),0.281763485693509285E0;( ...
  -0.105882342067581503E0),(-0.430206485982651305E0),0.295105074249718186E0,0.335207501271603003E0,(-0.326524889083462018E0),(-0.145297118051697130E0),0.285218694300070014E0;(-0.111963278290612345E0),( ...
  -0.421578918513109086E0),0.309058939885184572E0,0.316280800030271885E0,(-0.336023517953445575E0),(-0.120816638463230128E0),0.285878547434702516E0;(-0.118072045123043959E0),(-0.412324186580972926E0), ...
  0.322523053102684075E0,0.296348662465404836E0,(-0.343954438866625575E0),(-0.957662288408342937E-1),0.283639047095295361E0;(-0.124229932132881795E0),(-0.402375479907044514E0),0.335487021634659495E0, ...
  0.275352876150455092E0,(-0.350225033387730057E0),(-0.702583432485399002E-1),0.278409547998592192E0;(-0.130468477433666821E0),(-0.391634149165821583E0),0.347945389750577597E0,0.253188912018647485E0,( ...
  -0.354722551479750852E0),(-0.443823461850014143E-1),0.270095548243392274E0;(-0.136827171984532916E0),(-0.379965622259893554E0),0.359883631848758986E0,0.229708393267213027E0,(-0.357293189771494211E0),( ...
  -0.182237387022231327E-1),0.258584713361648734E0;(-0.143426747634073245E0),(-0.367041717120762851E0),0.371389132163280744E0,0.204429385994736819E0,(-0.357713445578812619E0),0.840997555891178608E-2, ...
  0.243554045602391084E0;(-0.150167216755301918E0),(-0.352929429775482573E0),0.382120093450228187E0,0.177701115627265606E0,(-0.355674843567020723E0),0.347571986324183445E-1,0.225201679372920750E0;( ...
  -0.156716840781134482E0),(-0.338265306618530968E0),0.391458847648718066E0,0.150895853110644477E0,(-0.351202265240616922E0),0.592148126556631212E-1,0.204755931586262999E0;(-0.162955037020821208E0),( ...
  -0.323350997110282259E0),0.399249877028090287E0,0.124644074926180250E0,(-0.344562990529077120E0),0.811690161425979383E-1,0.183199153535733781E0;(-0.168866937867690551E0),(-0.308282456112620150E0), ...
  0.405530532821983674E0,0.991534169019510812E-1,(-0.336039422653086948E0),0.100512211064885602E0,0.161200237815105220E0;(-0.174396481277645079E0),(-0.293280467825167577E0),0.410323908500267801E0, ...
  0.748028375955229000E-1,(-0.326018044093085830E0),0.117096536198789919E0,0.139521095446793526E0;(-0.179558414363238654E0),(-0.278395398873345118E0),0.413745566367367009E0,0.516512547514792708E-1,( ...
  -0.314794957599546080E0),0.131074421886795695E0,0.118566978379338990E0;(-0.184413632181353069E0),(-0.263525747495433487E0),0.415923357748190523E0,0.295230873344048080E-1,(-0.302511514011858179E0), ...
  0.142732749480776991E0,0.984412746839677484E-1;(-0.188992712523874617E0),(-0.248629693977562415E0),0.416935048585890221E0,0.835292695795540056E-2,(-0.289307190446615117E0),0.152257405333477361E0, ...
  0.792772754174853614E-1;(-0.193316593284816951E0),(-0.233676912407737977E0),0.416835198837076137E0,(-0.118980606386566461E-1),(-0.275302738152267769E0),0.159802061364818428E0,0.611820979785205186E-1;( ...
  -0.197397962780291392E0),(-0.218650191573963190E0),0.415662582859680295E0,(-0.312437555872170883E-1),(-0.260611009493887360E0),0.165497881508341014E0,0.442459074516784022E-1;(-0.201240786224768240E0), ...
  (-0.203553831202455435E0),0.413448143169263602E0,(-0.496672669588744730E-1),(-0.245352241826887284E0),0.169460668137343610E0,0.285531691150300695E-1;(-0.204847291768377223E0),(-0.188392114360351420E0) ...
  ,0.410217905645364805E0,(-0.671519944387674900E-1),(-0.229636880935298519E0),0.171805225627118050E0,0.141594181280419543E-1;(-0.208217190439599957E0),(-0.173173449378862995E0),0.405994702077143481E0,( ...
  -0.836769984389020249E-1),(-0.213571086278909118E0),0.172644400339528983E0,0.109926923711795378E-2;(-0.211348206920126367E0),(-0.157909630099956609E0),0.400799472943683328E0,(-0.992188325820947644E-1) ...
  ,(-0.197257105500372216E0),0.172090130721066159E0,(-0.106119599071035088E-1);(-0.214236360499271274E0),(-0.142615803869378863E0),0.394652401105374543E0,(-0.113752411267904978E0),( ...
  -0.180793954127946330E0),0.170253921567699940E0,(-0.209761837070113389E-1);(-0.216876339953962417E0),(-0.127309634219317313E0),0.387573492588881600E0,(-0.127252528825452608E0),( ...
  -0.164276936591789485E0),0.167246911255665520E0,(-0.300111781351172750E-1);(-0.219261763101012875E0),(-0.112010507941090769E0),0.379582771079601201E0,(-0.139694979409413449E0),( ...
  -0.147797010877635148E0),0.163179431245024549E0,(-0.377489348676228484E-1);(-0.221385229352329256E0),(-0.967395464626759293E-1),0.370700601218994627E0,(-0.151056751119104626E0),( ...
  -0.131440925844965722E0),0.158160493597004560E0,(-0.442334738573696698E-1);(-0.223238346871723462E0),(-0.815196517503009741E-1),0.360947972798890402E0,(-0.161316168778184998E0),( ...
  -0.115291345428815135E0),0.152297298714948871E0,(-0.495187994088237928E-1);(-0.224811737037769964E0),(-0.663755974411752144E-1),0.350346770952439594E0,(-0.170452991441321546E0),( ...
  -0.994269838387176745E-1),0.145694795543485619E0,(-0.536670128874831740E-1);(-0.226095068739904964E0),(-0.513335273193236714E-1),0.338919547272383166E0,(-0.178448797491345222E0),( ...
  -0.839221063470649000E-1),0.138454977913445637E0,(-0.567466862028676121E-1);(-0.227076992774993987E0),(-0.364206536207867953E-1),0.326689210317904556E0,(-0.185287010617833927E0),( ...
  -0.688462843488038248E-1),0.130676194035811527E0,(-0.588311505483345630E-1);(-0.227744985194477129E0),(-0.216651895706062245E-1),0.313678730473652628E0,(-0.190952629718276638E0),( ...
  -0.542644466322714023E-1),0.122452576954717651E0,(-0.599968026741174081E-1);(-0.228085118144564648E0),(-0.709597245931692609E-2),0.299910395651841524E0,(-0.195431896523869713E0),( ...
  -0.402366938541604243E-1),0.113873344466405404E0,(-0.603215482376612433E-1);(-0.228081684437752725E0),0.725746335575398843E-2,0.285405215664627974E0,(-0.198711535406280385E0),( ...
  -0.268186537259667084E-1),0.105022378218838299E0,(-0.598832965418025312E-1);(-0.227716618398319996E0),0.213663830977618338E-1,0.270180343450306186E0,(-0.200777940777569609E0),( ...
  -0.140605212741182509E-1),0.959768459274446344E-1,(-0.587584595652817168E-1);(-0.226968458167780255E0),0.352038254244947760E-1,0.254246052827320325E0,(-0.201615188742239887E0),( ...
  -0.200697526786557019E-2),0.868060121936497205E-1,(-0.570202398221327300E-1);(-0.225813542562650670E0),0.487176281614186710E-1,0.237636998058081439E0,(-0.201203973817764035E0),0.927964105265858641E-2, ...
  0.775892421625926592E-1,(-0.547420995650074892E-1);(-0.224279877371404473E0),0.614645996570013701E-1,0.220916035647341818E0,(-0.199595749735552316E0),0.194391448143517938E-1,0.686758749553812474E-1,( ...
  -0.520850589985119292E-1);(-0.222431927682865262E0),0.731345603353054251E-1,0.204593886253713552E0,(-0.196967622071847332E0),0.282795485701713410E-1,0.603368706332181277E-1,(-0.492273868836298895E-1); ...
  (-0.220294350208349191E0),0.838337732048117168E-1,0.188652386609380181E0,(-0.193462424187441643E0),0.359520945434800558E-1,0.525414465819169785E-1,(-0.462497252815932385E-1);(-0.217888577244743597E0), ...
  0.936323835564467041E-1,0.173097493207141835E0,(-0.189199022174288584E0),0.425703489336004916E-1,0.452698434241592975E-1,(-0.432147134260584860E-1);(-0.215232786990812348E0),0.102585440540028817E0, ...
  0.157938965114710342E0,(-0.184278325084485197E0),0.482294276622263240E-1,0.385030580811563109E-1,(-0.401700164345289141E-1);(-0.212345799836183712E0),0.110729624147750690E0,0.143203297267303035E0,( ...
  -0.178793606128664245E0),0.530066176929797921E-1,0.322285338375795872E-1,(-0.371551033910846804E-1);(-0.209245065733351983E0),0.118097957029271267E0,0.128914438417051211E0,(-0.172828769581007496E0), ...
  0.569726482087533552E-1,0.264314419198892824E-1,(-0.342002195582431401E-1);(-0.205945066657464413E0),0.124724219941386186E0,0.115086351748289302E0,(-0.166456201921499623E0),0.601943097838030756E-1, ...
  0.210924170529485139E-1,(-0.313267236444694435E-1);(-0.202461491208003303E0),0.130634772540937263E0,0.101740792724350705E0,(-0.159745609280591775E0),0.627306618281074708E-1,0.161951741895242290E-1,( ...
  -0.285522655966454662E-1);(-0.198809028526648903E0),0.135855499059173121E0,0.888955822509119831E-1,(-0.152760364256105077E0),0.646373277243409532E-1,0.117219123727259156E-1,(-0.258895159837322290E-1); ...
  (-0.195001863486270185E0),0.140411280638550419E0,0.765664321990050514E-1,(-0.145558893564515335E0),0.659664518558794611E-1,0.765435122592480403E-2,(-0.233474467406901201E-1);(-0.191053756641658098E0), ...
  0.144326342885278959E0,0.647669279855074305E-1,(-0.138195186169604351E0),0.667670991528355221E-1,0.397394037291732099E-2,(-0.209320520754587330E-1);(-0.186978157034852095E0),0.147624474028979844E0, ...
  0.535086743488554343E-1,(-0.130719296828892278E0),0.670855678941589856E-1,0.662070798098378185E-3,(-0.186469620082399026E-1);(-0.182788149326404840E0),0.150329312125129222E0,0.428010220459873239E-1,( ...
  -0.123177493813311355E0),0.669656607011429436E-1,(-0.229987771173213911E-2),(-0.164938592530111344E-1);(-0.178496367605864367E0),0.152464498475627721E0,0.326508730745463345E-1,( ...
  -0.115612330483747016E0),0.664488455147350606E-1,(-0.493047090552007349E-2),(-0.144728253581209105E-1);(-0.174115035003002460E0),0.154053671768416218E0,0.230628861484419500E-1,( ...
  -0.108062931346084240E0),0.655743708520292830E-1,(-0.724806301066556358E-2),(-0.125826958298984432E-1);(-0.169655925326869056E0),0.155120483251974229E0,0.140395058458683260E-1,( ...
  -0.100565124185344988E0),0.643793630969209468E-1,(-0.927071576576803149E-2),(-0.108213195425943801E-1);(-0.165130467366226539E0),0.155688558157547872E0,0.558129350941872553E-2,( ...
  -0.931517993210191968E-1),0.628989509334384215E-1,(-0.110160731506454770E-1),(-0.918582669848442983E-2);(-0.160549625685895365E0),0.155781506924398102E0,(-0.231319994426441384E-2),( ...
  -0.858528781424386512E-1),0.611663270118723370E-1,(-0.125013588608892849E-1),(-0.767276609549872545E-2);(-0.155923852956926754E0),0.155422862936034419E0,(-0.964734750077867046E-2),( ...
  -0.786954118329176322E-1),0.592127996497025806E-1,(-0.137433312709219734E-1),(-0.627824976810411477E-2);(-0.151263045992998283E0),0.154635996876545204E0,(-0.164263248726688078E-1),( ...
  -0.717036902143539207E-1),0.570678372780178015E-1,(-0.147582390319069608E-1),(-0.499807629043819519E-2);(-0.146576435601301690E0),0.153443995127156234E0,(-0.226570521077068142E-1),( ...
  -0.648992612522157940E-1),0.547590752909375376E-1,(-0.155617946244988853E-1),(-0.382781695294827855E-2);(-0.141872707879628440E0),0.151869580938966271E0,(-0.283478042319482850E-1),( ...
  -0.583012956548834353E-1),0.523124347620800407E-1,(-0.161691105662120454E-1),(-0.276294398176163569E-2);(-0.137159914385278466E0),0.149935008619846847E0,(-0.335081417081455696E-1),( ...
  -0.519266298443237444E-1),0.497521500755093911E-1,(-0.165946966931292226E-1),(-0.179888070422717937E-2);(-0.132445258840043943E0),0.147661860314276585E0,(-0.381489048172419665E-1),( ...
  -0.457896734587192049E-1),0.471007176329088169E-1,(-0.168524522201059005E-1),(-0.931025861485922211E-3);(-0.127735128218170465E0),0.145070908878842612E0,(-0.422818833499704371E-1),( ...
  -0.399026790835491209E-1),0.443789749518977470E-1,(-0.169556272681630886E-1),(-0.154825651830388212E-3);(-0.123034942110071686E0),0.142181892428867663E0,(-0.459196563722369208E-1),( ...
  -0.342757893662873391E-1),0.416060881848343688E-1,(-0.169168006265251865E-1),0.534196406951823775E-3;(-0.118348917628650295E0),0.139013187722956117E0,(-0.490754091125142617E-1),( ...
  -0.289170395284034318E-1),0.387994931685378172E-1,(-0.167478426872483266E-1),0.114041644221614705E-2;(-0.113679844193131838E0),0.135581426677940819E0,(-0.517626246994505157E-1),( ...
  -0.238324526062204984E-1),0.359748528421361164E-1,(-0.164598580066445847E-1),0.166807368234693923E-2;(-0.109029393737303775E0),0.131901499106548649E0,(-0.539944361227208322E-1),( ...
  -0.190267593781807398E-1),0.331463640900075860E-1,(-0.160631697743537057E-1),0.212117698130258429E-2;(-0.104396199932971475E0),0.127984735196686337E0,(-0.557839289995536609E-1),( ...
  -0.145019152709367933E-1),0.303257410650107330E-1,(-0.155671012793838402E-1),0.250361487940217223E-2;(-0.997742774732884568E-1),0.123836825397055595E0,(-0.571433116288489090E-1),( ...
  -0.102566147268154890E-1),0.275214667713528095E-1,(-0.149796022449939981E-1),0.281909276178442782E-2;(-0.951515438450660325E-1),0.119455430857368970E0,(-0.580822427811679424E-1),( ...
  -0.628653392486700847E-2),0.247382656348666993E-1,(-0.143067792366667707E-1),0.307095209412644052E-2;(-0.905030615755880236E-1),0.114822056353283300E0,(-0.586057303759006023E-1),( ...
  -0.258123136892833737E-2),0.219737145763798881E-1,(-0.135514799961570425E-1),0.326207956293217749E-2;(-0.857657743016538773E-1),0.109872300369826061E0,(-0.587078421790528470E-1), ...
  0.888961715745560020E-3,0.192048972548630908E-1,(-0.127079740699464913E-1),0.339470552538829223E-2;(-0.809949204407825937E-1),0.104661738437370243E0,(-0.583722552155082244E-1),0.406031674492836328E-2, ...
  0.164803637738567501E-1,(-0.117910285703998551E-1),0.346678591033551869E-2;(-0.763346510727810929E-1),0.993595230971716569E-1,(-0.576203701980414761E-1),0.683256512014934131E-2, ...
  0.138957064698043875E-1,(-0.108377333656760890E-1),0.347929693846402919E-2;(-0.718520230619546485E-1),0.940670081193910740E-1,(-0.565016331512748154E-1),0.918309310018923297E-2, ...
  0.114957125743074434E-1,(-0.987459925631413437E-2),0.343885044265777181E-2;(-0.677225575330342097E-1),0.890292763509340297E-1,(-0.551273092337458198E-1),0.110628056041855049E-1, ...
  0.937268591002534706E-2,(-0.895397685643633407E-2),0.335737173785621864E-2;(-0.638371916405854936E-1),(-0.402708116814064472E0),(-0.345000685507476019E0),0.205889923063288963E1,( ...
  -0.428603026646697294E0),(-0.114576069127480402E2),0.289144619904873808E2;(-0.597359992409011582E-1),(-0.394960848289191741E0),(-0.408640403646323838E0),0.206378670870809181E1,0.206144939552240900E0,( ...
  -0.132365328743582829E2),0.285630222162016180E2;(-0.562871030225411320E-1),(-0.387275246258514766E0),(-0.463035519692066172E0),0.204584047965267799E1,0.822520335880914828E0,(-0.147148084454825110E2), ...
  0.271325555923582419E2;(-0.532089424812357919E-1),(-0.379447174294802811E0),(-0.511911858251324301E0),0.200966789352865974E1,0.143876565680334161E1,(-0.159680015897011469E2),0.247053404460294533E2;( ...
  -0.503685778881911184E-1),(-0.371359645408440703E0),(-0.556957038893845623E0),0.195678417249878788E1,0.206312700514539783E1,(-0.170157784723351727E2),0.212602240818979730E2;(-0.477142581315800488E-1), ...
  (-0.363005057393224004E0),(-0.598675552355059666E0),0.188809261389009259E1,0.269371041271666749E1,(-0.178449508437068189E2),0.167720796199481451E2;(-0.452145309482870869E-1),(-0.354390727059805714E0), ...
  (-0.637298692546228575E0),0.180424309798519814E1,0.332645803398476289E1,(-0.184344902398605662E2),0.112198884670534867E2;(-0.428488107311822469E-1),(-0.345532525210212309E0),(-0.672915143753916234E0), ...
  0.170582381906333270E1,0.395580926467684130E1,(-0.187594720443797664E2),0.459688676911456699E1;(-0.406021342048304212E-1),(-0.336448814554014423E0),(-0.705545090066029267E0),0.159342154176088711E1, ...
  0.457524126351927435E1,(-0.187934240355483927E2),(-0.308439012531719277E1);(-0.384626895766422028E-1),(-0.327157432702864957E0),(-0.735173612233920779E0),0.146764371394212556E1,0.517751876011676585E1, ...
  (-0.185095460981899428E2),(-0.117879964491437160E2);(-0.364209942339203731E-1),(-0.317676188693593058E0),(-0.761760452668625620E0),0.132915827981282024E1,0.575467290646411288E1,( ...
  -0.178816114188527656E2),(-0.214481796564936511E2);(-0.344689973035783243E-1),(-0.308021551533516859E0),(-0.785251176946510065E0),0.117870082358971493E1,0.629808833604199509E1,( ...
  -0.168848243015606781E2),(-0.319643122051954162E2);(-0.325994373748917525E-1),(-0.298207144390241480E0),(-0.805583537587228459E0),0.101706797512322502E1,0.679856244561907886E1,( ...
  -0.154964948572433955E2),(-0.431958747508433372E2);(-0.308055713608737608E-1),(-0.288243231063968938E0),(-0.822687781965794900E0),0.845121696169048595E0,0.724626306143393475E1,( ...
  -0.136967352166622653E2),(-0.549555552939265219E2);(-0.290806845252578147E-1),(-0.278134427714507201E0),(-0.836487168105240619E0),0.663763395792879356E0,0.763070700799960670E1,( ...
  -0.114688638641681689E2),(-0.670027451030864816E2);(-0.274180926664898383E-1),(-0.267879659927063557E0),(-0.846891148314271962E0),0.473950344175458049E0,0.794054412588857007E1,( ...
  -0.880028467522727087E1),(-0.790315614028881027E2);(-0.258103108447619521E-1),(-0.257466631668166716E0),(-0.853790523424494815E0),0.276621666871878257E0,0.816337688692171360E1,( ...
  -0.568220812211967030E1),(-0.906603254040141639E2);(-0.242478732501143882E-1),(-0.246862366896488476E0),(-0.857040527021224386E0),0.725613145423246195E-1,0.828520633229709209E1,( ...
  -0.210778852960242587E1),(-0.101414677365875751E3);(-0.227154134075096735E-1),(-0.235981685508582271E0),(-0.856416425800430303E0),(-0.138124615813499443E0),0.828894934541747094E1, ...
  0.193830570838514450E1,(-0.110703720540371588E3);(-0.211807447587853923E-1),(-0.224595083292853267E0),(-0.851455173812950231E0),(-0.357557360825719415E0),0.814896783759041111E1,0.651641479201517212E1, ...
  (-0.117744598155124719E3);(-0.194242975024634523E-1),(-0.210945842367499348E0),(-0.839663357842002775E0),(-0.614992946606161123E0),0.776966298677574295E1,0.123242853041884389E2,( ...
  -0.121213886503299113E3);(-0.177926880485784816E-1),(-0.197666278699956113E0),(-0.822023776817949921E0),(-0.854124028726773842E0),0.716193297642387347E1,0.180819415088299970E2,( ...
  -0.117807642921922817E3);(-0.165541636423853589E-1),(-0.187197475911953067E0),(-0.803801036538601936E0),(-0.103041227496049137E1),0.650816270840262495E1,0.224822508795809564E2,( ...
  -0.109126418817019210E3);(-0.154625579961783300E-1),(-0.177693973325622227E0),(-0.783955640121995293E0),(-0.117768042229257966E1),0.577889828228683050E1,0.261775965068226404E2,( ...
  -0.958690940649861700E2);(-0.144735613234995740E-1),(-0.168863271260239867E0),(-0.762708658523076765E0),(-0.130075593766178401E1),0.498737589348816269E1,0.291760653834350101E2,( ...
  -0.784544191410440727E2);(-0.135634789097894240E-1),(-0.160556108000346470E0),(-0.740280949283857320E0),(-0.140183843154627214E1),0.414816432638259049E1,0.314382711528687373E2,( ...
  -0.573288976457107452E2);(-0.127179564036160111E-1),(-0.152687292274094268E0),(-0.716899028411720419E0),(-0.148209667548516084E1),0.327757860831325968E1,0.329114113274707150E2,( ...
  -0.330721250010487051E2);(-0.119265446408403651E-1),(-0.145194996622922334E0),(-0.692764230919562698E0),(-0.154239225419425432E1),0.239250064585916760E1,0.335470858991749604E2,( ...
  -0.641061734731764947E1);(-0.111807081086050776E-1),(-0.138026222717531664E0),(-0.668040758509208684E0),(-0.158349383309295670E1),0.150988998450110210E1,0.333073667053511280E2,0.217777136913767818E2;( ...
  -0.104737558997344241E-1),(-0.131138602497688099E0),(-0.642880658891632891E0),(-0.160611216594709249E1),0.647666703717896988E0,0.321690160833447077E2,0.504216080935531655E2;(-0.979973987674202967E-2), ...
  (-0.124491411354389991E0),(-0.617405786164994855E0),(-0.161099343774696644E1),(-0.175950177963220284E0),0.301283551501172037E2,0.782650131213983500E2;(-0.915185441316310612E-2),( ...
  -0.118030473773224690E0),(-0.591653871356115873E0),(-0.159888523804128248E1),(-0.943887183400628588E0),0.271986083640381060E2,0.103907596712462015E3;(-0.852156195747247195E-2),( ...
  -0.111679216121336518E0),(-0.565539773529928454E0),(-0.157032815732090614E1),(-0.164008660332979238E1),0.234016020312891957E2,0.125774954857638122E3;(-0.789457523443554830E-2),( ...
  -0.105296819569818516E0),(-0.538678882539026816E0),(-0.152508661953080659E1),(-0.225055522682841032E1),0.187344869715734636E2,0.142040283729422252E3;(-0.722073342393942020E-2),( ...
  -0.983629949765655874E-1),(-0.509035030106312314E0),(-0.145812723722195716E1),(-0.277492716158577912E1),0.128924410945988216E2,0.150141113453450416E3;(-0.658157887125081382E-2),( ...
  -0.917082228233254840E-1),(-0.480393757583428720E0),(-0.137853026786108923E1),(-0.310689376068421713E1),0.687740114634383633E1,0.145765911151775991E3;(-0.605444527011335088E-2),( ...
  -0.861544721000304517E-1),(-0.456540831063812648E0),(-0.130302701664052395E1),(-0.323585216798650673E1),0.191745843346024800E1,0.131561204612163185E3;(-0.559033197496672897E-2),( ...
  -0.812072173933217750E-1),(-0.435454058822990677E0),(-0.123106833001084739E1),(-0.323105344216809292E1),(-0.213401389272956691E1),0.110835421905716423E3;(-0.516616917226496643E-2),( ...
  -0.766300725565734696E-1),(-0.416155503782414398E0),(-0.116253453550141556E1),(-0.312889052637732669E1),(-0.531662998983744133E1),0.859031759055216471E2;(-0.477095953548761138E-2),( ...
  -0.723084595106795625E-1),(-0.398162818471791301E0),(-0.109783768248140238E1),(-0.295499035445167931E1),(-0.762704029771698332E1),0.590225798754427005E2;(-0.439770464495571941E-2),( ...
  -0.681670535041985299E-1),(-0.381145602108632892E0),(-0.103732531119270925E1),(-0.273085149878287983E1),(-0.908129656159327345E1),0.324467745419235853E2;(-0.404081936656661671E-2),( ...
  -0.641427448584789226E-1),(-0.364816159406663285E0),(-0.981112387409383491E0),(-0.247510967855097715E1),(-0.973034746040543500E1),0.831438038545461129E1;(-0.369435509326348561E-2),( ...
  -0.601643988136296008E-1),(-0.348849862195119649E0),(-0.928948210032551266E0),(-0.220308986234320219E1),(-0.966004093892846459E1),(-0.115165963260785252E2);(-0.335043555356771349E-2),( ...
  -0.561324991566586409E-1),(-0.332805472175424890E0),(-0.880131647508885622E0),(-0.192602134658409606E1),(-0.897971163087510142E1),(-0.255664952269591258E2);(-0.298754304103234287E-2),( ...
  -0.517711226420997968E-1),(-0.315535864351424415E0),(-0.832189747826275508E0),(-0.164331797100185704E1),(-0.777207103870572483E1),(-0.328042225946170103E2);(-0.262514464314722049E-2),( ...
  -0.472827383509836714E-1),(-0.297759282523313430E0),(-0.787975263783318768E0),(-0.138556027633680173E1),(-0.631641344101418863E1),(-0.323524156674491761E2);(-0.230607912884452300E-2),( ...
  -0.431967158383875779E-1),(-0.281472852582153710E0),(-0.751794243075785100E0),(-0.118586310754653452E1),(-0.504572591086079503E1),(-0.272157937491027890E2);(-0.202547357572297168E-2),( ...
  -0.394762691732871380E-1),(-0.266469469925239144E0),(-0.721745906085682498E0),(-0.103202782128875179E1),(-0.406260628162849153E1),(-0.210407852063593260E2);(-0.176563067462390158E-2),( ...
  -0.359020499782046260E-1),(-0.251816793812193686E0),(-0.695075696394775027E0),(-0.905624080012356411E0),(-0.331087027907089862E1),(-0.155041058415618270E2);(-0.151998699216574614E-2),( ...
  -0.323834670420924775E-1),(-0.237076432224121171E0),(-0.670607457138599655E0),(-0.797374640398231738E0),(-0.273872491457439006E1),(-0.112567903162342403E2);(-0.128637014716451002E-2),( ...
  -0.288808527047368271E-1),(-0.221990600288890459E0),(-0.647768975964840001E0),(-0.701796638580042788E0),(-0.229656666391078867E1),(-0.827561201251477758E1);(-0.106622176029533345E-2),( ...
  -0.254035581491653317E-1),(-0.206482066313562629E0),(-0.626412628232960474E0),(-0.616061417446566795E0),(-0.194692017228241794E1),(-0.622827727925071694E1);(-0.862685167773937665E-3),( ...
  -0.219905401560021818E-1),(-0.190586888395081609E0),(-0.606591037882605750E0),(-0.538720719432639184E0),(-0.166540027193820014E1),(-0.477796913164829736E1);(-0.678960998304598481E-3),( ...
  -0.186907840747346012E-1),(-0.174382767952586152E0),(-0.588399103858374162E0),(-0.468831801085441191E0),(-0.143677371053263188E1),(-0.370928941220696202E1);(-0.517146719435770833E-3),( ...
  -0.155456503888715567E-1),(-0.157911781230578047E0),(-0.571873249915590179E0),(-0.405438955744603115E0),(-0.125027805758026633E1),(-0.289907026043148577E1);(-0.378391524598777335E-3),( ...
  -0.125905848534499980E-1),(-0.141183164321952650E0),(-0.557014330186464574E0),(-0.347597216243521549E0),(-0.109787361329867799E1),(-0.227173514141450166E1);(-0.263221218775727296E-3),( ...
  -0.986154712501618003E-2),(-0.124204131120348744E0),(-0.543827651515713155E0),(-0.294476598157413394E0),(-0.973609961371120089E0),(-0.177747252905919599E1);(-0.171441919057316495E-3),( ...
  -0.739424240645530180E-2),(-0.106977195983360714E0),(-0.532321599917236405E0),(-0.245320776602733647E0),(-0.872969754204897008E0),(-0.138140934999017009E1);(-0.102104261796383386E-3),( ...
  -0.522450759401602410E-2),(-0.895053541157221507E-1),(-0.522512360066763147E0),(-0.199439030824743492E0),(-0.792530295102303515E0),(-0.105822722280571638E1);(-0.534408618723795309E-4),( ...
  -0.338786064738134556E-2),(-0.717953063189647261E-1),(-0.514424834694987502E0),(-0.156192069422262607E0),(-0.729721850954273968E0),(-0.788905937702044447E0);(-0.228195795966949856E-4),( ...
  -0.191872455263125744E-2),(-0.538635662182621896E-1),(-0.508092737524611568E0),(-0.114986145557320410E0),(-0.682667087136016581E0),(-0.558676175849600055E0);(-0.672183048420433721E-5),( ...
  -0.848679684636245472E-3),(-0.357426534612478468E-1),(-0.503555209615906110E0),(-0.752682945004311357E-1),(-0.650055992021887828E0),(-0.355623647797633993E0);(-0.789764494340216297E-6),( ...
  -0.203477622675819930E-3),(-0.174778552860161440E-1),(-0.500848911079251181E0),(-0.365059048442082030E-1),(-0.631036195613842471E0),(-0.169619978552592613E0);0,0,0,(-1/2),(-0.109953617772277257E-7),( ...
  -0.624964311649044008E0),(-0.171598651259594897E-1)];
func1=[0,0,1,0,(-0.100000000065414949E1),0.124054833780317315E-5,0.124971809898773202E1;0.296983063556885112E-3,0.344510422492370482E-1,0.998219225553032415E0,(-0.688151865992454692E-1),( ...
  -0.994442239685994437E0),0.128664859949936677E0,0.123321339229542746E1;0.107388565780107769E-2,0.654348904579194549E-1,0.993571361325149765E0,(-0.130274218086685013E0),(-0.980003776690793407E0), ...
  0.241948568094828398E0,0.119056641461166128E1;0.223754274443851587E-2,0.942882902338845893E-1,0.986638321279705906E0,(-0.186794084586943452E0),(-0.958646895621919976E0),0.343442959929068943E0, ...
  0.112833749847201831E1;0.375255239629935964E-2,0.121828254429023355E0,0.977663021406913837E0,(-0.239809608779106154E0),(-0.931317867506261389E0),0.435175280110200249E0,0.105024238265320321E1; ...
  0.560062668652148953E-2,0.148421920834296877E0,0.966792178834901189E0,(-0.289883483873754789E0),(-0.898695263949527411E0),0.517703001701825008E0,0.959294027729107954E0;0.776992424602917064E-2, ...
  0.174250188100086621E0,0.954139589170009958E0,(-0.337228610661879414E0),(-0.861379335250939338E0),0.591075670067407123E0,0.858306120418134853E0;0.102538762805046579E-1,0.199428883578381291E0, ...
  0.939793060765293079E0,(-0.381943932770240639E0),(-0.819908958977688915E0),0.655253435738840206E0,0.749900208018263313E0;0.130494610700017964E-1,0.224034613866006800E0,0.923824746048615955E0,( ...
  -0.424063875984155749E0),(-0.774789513865845494E0),0.710190467641580320E0,0.636548148771567098E0;0.161564620952330330E-1,0.248120222192315658E0,0.906295745500796503E0,(-0.463587491285754977E0),( ...
  -0.726503690083485753E0),0.755880431536299563E0,0.520570437811718628E0;0.195746856896401011E-1,0.271707501761469970E0,0.887271968126500145E0,(-0.500469987177483905E0),(-0.675551670419352765E0), ...
  0.792356083734211640E0,0.404202196547077289E0;0.233102361173065930E-1,0.294837821009175114E0,0.866789531037977422E0,(-0.534703808901524562E0),(-0.622355698593649629E0),0.819770028933642785E0, ...
  0.289351977150062111E0;0.273734640204841235E-1,0.317550863418050259E0,0.844868108031523346E0,(-0.566277975334852115E0),(-0.567301320559796865E0),0.838328149904080916E0,0.177708092718528861E0; ...
  0.317725136494582480E-1,0.339851750712187221E0,0.821546710193400084E0,(-0.595133810543677659E0),(-0.510826797247503123E0),0.848263737983287132E0,0.709096293941497391E-1;0.365209096486619373E-1, ...
  0.361756773801670541E0,0.796843496809192108E0,(-0.621231037226562544E0),(-0.453319932468750696E0),0.849882406218822489E0,(-0.296773224993096524E-1);0.416364406468673343E-1,0.383282299382995384E0, ...
  0.770764128741196219E0,(-0.644527934365257183E0),(-0.395143814161260466E0),0.843533003707662482E0,(-0.122895000426106007E0);0.471416257571566737E-1,0.404443586422804738E0,0.743301922283121366E0,( ...
  -0.664977004401803602E0),(-0.336641640455532230E0),0.829596151696666966E0,(-0.207775588306951406E0);0.530654195111224743E-1,0.425257423531982738E0,0.714432623663046836E0,(-0.682524030780563533E0),( ...
  -0.278131540367844100E0),0.808472043754064058E0,(-0.283535653895319288E0);0.594465569738242592E-1,0.445747350770274650E0,0.684103025260335473E0,(-0.697106052291528176E0),(-0.219893920696734945E0), ...
  0.780559854765672725E0,(-0.349569902677764331E0);0.663382462662794252E-1,0.465948123144642684E0,0.652216429715886602E0,(-0.708643073363611686E0),(-0.162161678672293368E0),0.746229311922760077E0,( ...
  -0.405425470286623040E0);0.738178346383189041E-1,0.485917172754818415E0,0.618600614684950594E0,(-0.717025018877661734E0),(-0.105093002762942700E0),0.705769939335566322E0,(-0.450771536157808126E0); ...
  0.819907649446600633E-1,0.505720933029110839E0,0.583009761621027493E0,(-0.722077143612869950E0),(-0.488208078346034954E-1),0.659383856046969108E0,(-0.485288876907161251E0);0.911037269405421505E-1, ...
  0.525644948060312314E0,0.544681494611504873E0,(-0.723523296416164591E0),0.711653651928880925E-2,0.606577130218245451E0,(-0.508786940619014276E0);0.101131315298690310E0,0.545280279295777582E0, ...
  0.504096759587279610E0,(-0.720931311315934070E0),0.612002569094964932E-1,0.548660738782405029E0,(-0.520260320289852509E0);0.111640494104563903E0,0.563610880340543968E0,0.463280037523935219E0,( ...
  -0.714392981665503656E0),0.110379255252263852E0,0.489427736666188303E0,(-0.519882472268866564E0);0.122427913334632525E0,0.580323395627552548E0,0.423135452617887727E0,(-0.704397041139661123E0), ...
  0.153763200972896842E0,0.431108884344049618E0,(-0.509644400036366520E0);0.133434202694537409E0,0.595427986843440323E0,0.383930814670946103E0,(-0.691440242515409819E0),0.191459204325643362E0, ...
  0.374814167284742027E0,(-0.491748009664683199E0);0.144505442052666648E0,0.608847585762500925E0,0.346209175919675887E0,(-0.676155720896639649E0),0.223452471605455969E0,0.321816262457652285E0,( ...
  -0.468435666165818073E0);0.155609136579393511E0,0.620695425759788578E0,0.310033927993083975E0,(-0.659020088768183511E0),0.250258196336698394E0,0.272490918181288185E0,(-0.441498896011080393E0); ...
  0.166826599604620061E0,0.631177011711508991E0,0.275105830451866192E0,(-0.640258691238032847E0),0.272588027517922163E0,0.226588613098525224E0,(-0.412083088074448614E0);0.178197255186753217E0, ...
  0.640407751228265535E0,0.241294959163905145E0,(-0.620083528227330384E0),0.290916168051058361E0,0.184028017094406516E0,(-0.381121339253620923E0);0.189753814934568696E0,0.648469357371646899E0, ...
  0.208511786546528024E0,(-0.598670499204715105E0),0.305624184024816727E0,0.144733232986924050E0,(-0.349353226847406822E0);0.201520759369910597E0,0.655417470205897479E0,0.176705439908572550E0,( ...
  -0.576177743520451479E0),0.317026069909334619E0,0.108640023592783227E0,(-0.317384293256473657E0);0.213507236158957082E0,0.661285918504461866E0,0.145875255756802497E0,(-0.552770329201938009E0), ...
  0.325386445579139086E0,0.757101847677046082E-1,(-0.285738860710183687E0);0.225723547586426809E0,0.666101767764501367E0,0.116021190110619461E0,(-0.528595004125859933E0),0.330951201655034585E0, ...
  0.458763540999933593E-1,(-0.254835541132397675E0);0.238177918078981871E0,0.669884994903290431E0,0.871516639691901538E-1,(-0.503789430221799395E0),0.333948223087220105E0,0.190562112401235893E-1,( ...
  -0.225011635159238040E0);0.250877046492898321E0,0.672650335411303551E0,0.592809360195972022E-1,(-0.478483447165312214E0),0.334591515420477945E0,(-0.484678963426082185E-2),(-0.196533757239888663E0); ...
  0.263826100211712080E0,0.674408531678069891E0,0.324280837834230095E-1,(-0.452800724617849844E0),0.333083907829009127E0,(-0.259414666572693778E-1),(-0.169607530239932440E0);0.277029401128501412E0, ...
  0.675167406013520074E0,0.661473062626032893E-2,(-0.426858551197796316E0),0.329618861325439607E0,(-0.443482112227229543E-1),(-0.144384229135966414E0);0.290491147277675017E0,0.674932476352410661E0,( ...
  -0.181367570172810176E-1),(-0.400767285094339766E0),0.324381218632270728E0,(-0.601976388270986357E-1),(-0.120966795728865086E0);0.304215497691657040E0,0.673707252603467348E0,(-0.418034862049801499E-1) ...
  ,(-0.374630931527424231E0),0.317547582940567928E0,(-0.736281154363819822E-1),(-0.994165799216872742E-1);0.318206646505918359E0,0.671493453885722272E0,(-0.643621709057836674E-1),( ...
  -0.348547644477195896E0),0.309286597009033552E0,(-0.847835361397501130E-1),(-0.797593968758904314E-1);0.332468877438615492E0,0.668291166785754600E0,(-0.857891811713808681E-1),(-0.322610198176313442E0) ...
  ,0.299759171251463308E0,(-0.938113636868417330E-1),(-0.619909713665991644E-1);0.347007223425109458E0,0.664098763535806675E0,(-0.106061363523337570E0),(-0.296905357707588687E0),0.289118221144239879E0,( ...
  -0.100861146023923355E0),(-0.460812042225111989E-1);0.361828060171934245E0,0.658912586034489618E0,(-0.125156359507962456E0),(-0.271513537457799615E0),0.277508277949152242E0,(-0.106082802479052073E0),( ...
  -0.319784672121498126E-1);0.376939605767448058E0,0.652726466780881133E0,(-0.143052463683690271E0),(-0.246508823205962000E0),0.265065163305248905E0,(-0.109624843394369486E0),(-0.196138433665735184E-1); ...
  0.392352914162164163E0,0.645530856295722170E0,(-0.159728713721861255E0),(-0.221958435156182793E0),0.251915336778514578E0,(-0.111632788296933898E0),(-0.890475162950937272E-2);0.408082671947447453E0, ...
  0.637311762443016408E0,(-0.175164237070676941E0),(-0.197922912850578832E0),0.238175526178188591E0,(-0.112247532503532683E0),0.241344182112341964E-3;0.424150145245110732E0,0.628048188546254567E0,( ...
  -0.189338970237426112E0),(-0.174453620069003234E0),0.223950690097007259E0,(-0.111603765632474577E0),0.792444815944867586E-2;0.440586477434189586E0,0.617708484278393529E0,(-0.202232976332228076E0),( ...
  -0.151591095487301901E0),0.209331965177504316E0,(-0.109827838528052129E0),0.142489203596205365E-1;0.457401680032700537E0,0.606269998809968090E0,(-0.213801987115785943E0),(-0.129408998121317367E0), ...
  0.194425556581687713E0,(-0.107042124806514588E0),0.193110121275069806E-1;0.474087851401326336E0,0.594099138316652885E0,(-0.223715829132043986E0),(-0.108607734092377294E0),0.179785658503449593E0,( ...
  -0.103488082636331913E0),0.231113850439274984E-1;0.490212448714697968E0,0.581596346023342281E0,(-0.231862190422679606E0),(-0.896517206039540880E-1),0.165864326472034835E0,(-0.994520996009924138E-1), ...
  0.257825436407117062E-1;0.505864706775592550E0,0.568792031375518368E0,(-0.238463615878534870E0),(-0.723243733602591223E-1),0.152626749557715804E0,(-0.950870008549181449E-1),0.275650279648757626E-1; ...
  0.521097495387229093E0,0.555724226369996269E0,(-0.243688223568930554E0),(-0.564719063574517146E-1),0.140054448076771151E0,(-0.905107326105404361E-1),0.286415474772707329E-1;0.535951011620108422E0, ...
  0.542427098443407322E0,(-0.247673855497735875E0),(-0.419683903751019056E-1),0.128129021606508104E0,(-0.858137269037092103E-1),0.291562804390468717E-1;0.550442191886649541E0,0.528945247521115679E0,( ...
  -0.250533910488656414E0),(-0.287207189890004615E-1),0.116842914562922645E0,(-0.810707561278080225E-1),0.292246945828745990E-1;0.564584776493784199E0,0.515319293860002662E0,(-0.252369230338002157E0),( ...
  -0.166447613287092728E-1),0.106184499024939896E0,(-0.763402854201895045E-1),0.289412346287964552E-1;0.578397600951917657E0,0.501578842014170850E0,(-0.253270640837885479E0),(-0.565801082025771618E-2), ...
  0.961337262198416475E-1,(-0.716652761905397520E-1),0.283829716297838493E-1;0.591887635120736383E0,0.487760038789117209E0,(-0.253318870492149978E0),0.430703886477191849E-2,0.866759856800260693E-1,( ...
  -0.670817230585937797E-1),0.276132370748470027E-1;0.605061996920905831E0,0.473895043235997195E0,(-0.252587980095313106E0),0.133142415740731203E-1,0.777937472787467635E-1,(-0.626168280649107593E-1), ...
  0.266840513550548144E-1;0.617926514123284031E0,0.460013980407556804E0,(-0.251146134289146219E0),0.214229769339173815E-1,0.694683766458070867E-1,(-0.582911624811599347E-1),0.256381017080522181E-1; ...
  0.630486031864692466E0,0.446145109647112706E0,(-0.249056433829720148E0),0.286887695791115600E-1,0.616804667338535376E-1,(-0.541199100465711487E-1),0.245103346756118046E-1;0.642744489490936242E0, ...
  0.432315145055520285E0,(-0.246377611052338950E0),0.351636930078171778E-1,0.544102027276128460E-1,(-0.501139249465043068E-1),0.233292758552836157E-1;0.654705408051722095E0,0.418549035959004627E0,( ...
  -0.243164505383890645E0),0.408969317421955296E-1,0.476373958258553824E-1,(-0.462804508847977147E-1),0.221180779844546702E-1;0.666372307911305436E0,0.404869724364384442E0,(-0.239468359104089072E0), ...
  0.459351692166846472E-1,0.413415404127791795E-1,(-0.426237129621033269E-1),0.208953813334210458E-1;0.677748682757556290E0,0.391298355378753739E0,(-0.235337125674410331E0),0.503226985993392516E-1, ...
  0.355020856521314533E-1,(-0.391455302708208223E-1),0.196760703815798317E-1;0.688838161129998022E0,0.377854241113540908E0,(-0.230815675271536836E0),0.541016034193028421E-1,0.300985540132919316E-1,( ...
  -0.358457657438930475E-1),0.184718924884478461E-1;0.699644288676984230E0,0.364555259281929769E0,(-0.225946111820556051E0),0.573117920410492124E-1,0.251108064035920710E-1,(-0.327228032101342286E-1), ...
  0.172920173632107033E-1;0.710170857492250048E0,0.351417572947110565E0,(-0.220767842786512124E0),0.599912157510796449E-1,0.205190028892451142E-1,(-0.297737902791405912E-1),0.161434530508576718E-1; ...
  0.720422004932317300E0,0.338455597238426368E0,(-0.215317676123663691E0),0.621759574862910582E-1,0.163036733806148690E-1,(-0.269948974656604855E-1),0.150314154703376367E-1;0.730402282947673104E0, ...
  0.325681986561769122E0,(-0.209629899035579190E0),0.639002925835671317E-1,0.124457873219186315E-1,(-0.243815420735524862E-1),0.139596427270318730E-1;0.740116849016036772E0,0.313107451722859562E0,( ...
  -0.203736256076677527E0),0.651967478514250020E-1,0.892676887165706478E-2,(-0.219285421726601878E-1),0.129306468108366682E-1;0.749571165819396550E0,0.300741203778753466E0,(-0.197666204477131285E0), ...
  0.660960806034911009E-1,0.572868158558160705E-2,(-0.196303646672271068E-1),0.119459757634624151E-1;0.758771161371297601E0,0.288590808605868849E0,(-0.191446908646321408E0),0.666273450489948483E-1, ...
  0.283421587164592435E-2,(-0.174812212798630665E-1),0.110063896273665727E-1;0.767723596202813097E0,0.276661749933336208E0,(-0.185103047023910003E0),0.668179228247981551E-1,0.226629781856977696E-3,( ...
  -0.154751039728209900E-1),0.101119867246320784E-1;0.776435932314089600E0,0.264957640799567241E0,(-0.178656925329907983E0),0.666934921069720673E-1,(-0.211014113577085417E-2),(-0.136059249525281884E-1), ...
  0.926235683656403344E-2;0.784916553274707196E0,0.253479971079671180E0,(-0.172128343513200853E0),0.662780052430113348E-1,(-0.419148271838649287E-2),(-0.118675637020491630E-1),0.845667820092923112E-2; ...
  0.793175109775488972E0,0.242227676941541192E0,(-0.165534328727404056E0),0.655936128086761951E-1,(-0.603210431597913336E-2),(-0.102538878261829212E-1),0.769378766649012454E-2;0.801222815867132191E0, ...
  0.231196771211141643E0,(-0.158888865303020844E0),0.646605325885365283E-1,(-0.764599097204974741E-2),(-0.875879344799173338E-2),0.697224596044393905E-2;0.809071832229378945E0,0.220381238453799511E0,( ...
  -0.152203388636374091E0),0.634970225011791452E-1,(-0.904616859479825556E-2),(-0.737640947440601645E-2),0.629047315845352768E-2;0.816738399855309526E0,0.209768771906547511E0,(-0.145484064747861518E0), ...
  0.621187511342101881E-1,(-0.102450996284547099E-1),(-0.610066026650393044E-2),0.564655575000922537E-2;0.824245109508142751E0,0.199337639776436095E0,(-0.138729451311269952E0),0.605378005930472244E-1,( ...
  -0.112545626488348031E-1),(-0.492513309875860656E-2),0.503816804057772238E-2;0.831622842524799916E0,0.189054029634514268E0,(-0.131928264740120754E0),0.587613922643628446E-1,(-0.120852034912089653E-1), ...
  (-0.384314206426391503E-2),0.446256088639252850E-2;0.838920853090758381E0,0.178858099894948426E0,(-0.125049309318297979E0),0.567880177956847899E-1,(-0.127464714788094335E-1),(-0.284685918664718399E-2) ...
  ,0.391599538315695429E-2;0.846244505656020276E0,0.168611424650522025E0,(-0.118003630446712786E0),0.545932104761022564E-1,(-0.132467519484267317E-1),(-0.192380818418012322E-2),0.339146513931552455E-2; ...
  0.853515225322380446E0,0.158433720327466947E0,(-0.110877858385278806E0),0.522041947585629839E-1,(-0.135786897139735466E-1),(-0.108621665940351880E-2),0.289564714398011625E-2;0.860527028759515155E0, ...
  0.148624122590816384E0,(-0.103893649243559946E0),0.497053851581404177E-1,(-0.137407359318200716E-1),(-0.355837878695456638E-3),0.244231887627446331E-2;0.867197977444247658E0,0.139307311124619820E0,( ...
  -0.971588826180081563E-1),0.471546776158709189E-1,(-0.137487292008661217E-1),0.265623890307659023E-3,0.203497398193821637E-2;0.873288971207841879E0,0.130824075112593242E0,(-0.909446522394380577E-1), ...
  0.446827371028374063E-1,(-0.136301278842115662E-1),0.768201605503179454E-3,0.168458719489321012E-2;0.878980768766759120E0,(-0.588266818023413583E0),(-0.661844512726694305E0),0.108001267156780032E1, ...
  0.153935929627619959E1,(-0.625467647522547518E1),0.348519336379990135E1;0.884957129582133766E0,(-0.574323749946490894E0),(-0.694107959592809284E0),0.101003686735686524E1,0.186539281491810545E1,( ...
  -0.640633401231851995E1),0.132442178397472055E1;0.889965876031006765E0,(-0.561854690309947115E0),(-0.719908221038127469E0),0.939262744211408986E0,0.214853833762218787E1,(-0.641719130860071150E1),( ...
  -0.997587417241169182E0);0.894429588164753053E0,(-0.550118775391041183E0),(-0.741665563130625442E0),0.866148477877021854E0,0.240443542586656844E1,(-0.631031445844576577E1),(-0.350899406026877062E1); ...
  0.898548436387497852E0,(-0.538752902346673673E0),(-0.760470102722269851E0),0.789813988921050970E0,0.263940843176812006E1,(-0.609074835115431342E1),(-0.622585726756570852E1);0.902402467444845556E0,( ...
  -0.527639985577132064E0),(-0.776746125078378141E0),0.710374174406596907E0,0.285395537263897828E1,(-0.575890857398591163E1),(-0.912979508901407094E1);0.906041127034533612E0,(-0.516715674420363721E0),( ...
  -0.790745274305294043E0),0.628098522164234550E0,0.304726596738126917E1,(-0.531409856431025536E1),(-0.121921823243896973E2);0.909497380646587884E0,(-0.505943847980085109E0),(-0.802630218912593561E0), ...
  0.543362294338821185E0,0.321783527469308520E1,(-0.475580385131533939E1),(-0.153742460870360496E2);0.912795545093656771E0,(-0.495301396495357409E0),(-0.812518099441232508E0),0.456593965889874645E0, ...
  0.336382760262146460E1,(-0.408423675607849769E1),(-0.186279087264530258E2);0.915955018162984758E0,(-0.484770977016983769E0),(-0.820500102558548458E0),0.368249257082116052E0,0.348324112159101327E1,( ...
  -0.330062596423552925E1),(-0.218959159668189937E2);0.918991565165037336E0,(-0.474339563369315800E0),(-0.826649512802530828E0),0.278818251581657934E0,0.357396424612927969E1,(-0.240762447568369621E1),( ...
  -0.251108103521466360E2);0.921918700936550109E0,(-0.463995664325624344E0),(-0.831028151623032524E0),0.188815416718505578E0,0.363383973743792047E1,(-0.140954753286695467E1),(-0.281945854139718904E2); ...
  0.924748704456646306E0,(-0.453726951277006237E0),(-0.833689652845559369E0),0.987690152844143206E-1,0.366069835144721230E1,(-0.312541954869539811E0),(-0.310582998979961584E2);0.927493092524655837E0,( ...
  -0.443519282918738482E0),(-0.834680269153521315E0),0.922190520567512793E-2,0.365236212965289458E1,0.875141353058192342E0,(-0.336011399491532476E2);0.930163448974008963E0,(-0.433354073961995411E0),( ...
  -0.834038523305311840E0),(-0.792802936740731659E-1),0.360662588026614715E1,0.214302444372052691E1,(-0.357095273517815316E2);0.932771532911259836E0,(-0.423208067859044777E0),(-0.831793233765118778E0),( ...
  -0.166175458816751653E0),0.352121316014742288E1,0.347789438021018863E1,(-0.372549425947778169E2);0.935330736569678052E0,(-0.413047663962912474E0),(-0.827959189323012906E0),(-0.250909511826367515E0), ...
  0.339365978041776848E1,0.486377067177776604E1,(-0.380914452686732295E2);0.937858267711670033E0,(-0.402819646032034082E0),(-0.822525969655852708E0),(-0.332969557693759992E0),0.322100676100484830E1, ...
  0.628200266169386738E1,(-0.380496268640400457E2);0.940382176854374078E0,(-0.392420912509700235E0),(-0.815423532500209631E0),(-0.412027971342026810E0),0.299878642887317552E1,0.771322943786490571E1,( ...
  -0.369196031511017925E2);0.942961290873495007E0,(-0.381610866356998670E0),(-0.806410736969630812E0),(-0.488325466516721000E0),0.271762638109824672E1,0.914343740132986171E1,(-0.343895515815638367E2); ...
  0.945987231591657220E0,(-0.368702382866491490E0),(-0.793583195171530488E0),(-0.569709344597954876E0),0.231669700176555608E1,0.106920289254335093E2,(-0.292999808743319097E2);0.948881740451949989E0,( ...
  -0.356139177354988105E0),(-0.779101830740348876E0),(-0.636618120957404115E0),0.186363289727527276E1,0.119325963750871171E2,(-0.220147727177021917E2);0.951142038486373523E0,(-0.346190308093089521E0),( ...
  -0.766377502918053862E0),(-0.679548334813448382E0),0.146728458169328961E1,0.126434019258738641E2,(-0.145490474694617896E2);0.953186288568378197E0,(-0.337092735471177621E0),(-0.753890717252426306E0),( ...
  -0.710086005829332426E0),0.108249637273647560E1,0.130241666508051835E2,(-0.648390594158379973E1);0.955086055818090021E0,(-0.328556138726276787E0),(-0.741543416878732114E0),(-0.730541334067902568E0), ...
  0.708871509511792294E0,0.131028096762087773E2,0.201048189556225484E1;0.956879157731513335E0,(-0.320427847255513212E0),(-0.729324539813084117E0),(-0.742222269998886999E0),0.348988977586333645E0, ...
  0.128928722778389573E2,0.107147234224059983E2;0.958588076505947908E0,(-0.312617345831874401E0),(-0.717261357082139232E0),(-0.746040539782712755E0),0.679768680915994386E-2,0.124056857606905853E2, ...
  0.193653993046090397E2;0.960229289341202949E0,(-0.305056954726120624E0),(-0.705384415136328473E0),(-0.742745039366341921E0),(-0.313527405716754534E0),0.116548182401277922E2,0.276723834882888414E2; ...
  0.961816748877996824E0,(-0.297687161689803879E0),(-0.693715818375129232E0),(-0.732990841897620942E0),(-0.607954691477457255E0),0.106573106853771142E2,0.353266023292066148E2;0.963361692868888218E0,( ...
  -0.290458189098086015E0),(-0.682278598611490610E0),(-0.717379819344087688E0),(-0.872383447298721375E0),0.943565464224331271E1,0.419957794272284445E2;0.964874780060040611E0,(-0.283320431979630540E0),( ...
  -0.671086533058221482E0),(-0.696477123710914973E0),(-0.110294357142428874E1),0.801820242613699053E1,0.473358664378943250E2;0.966369760948889950E0,(-0.276206938543924130E0),(-0.660121423684655883E0),( ...
  -0.670758513060436001E0),(-0.129635211369847843E1),0.643665906282895068E1,0.510027672518322668E2;0.967866047385566422E0,(-0.269020033950582661E0),(-0.649320581010755895E0),(-0.640527629771321923E0),( ...
  -0.144963837400683740E1),0.472393243499598047E1,0.526392762360397647E2;0.969399594744381557E0,(-0.261576051097447727E0),(-0.638511386794050661E0),(-0.605632749596242338E0),(-0.155981132833338431E1), ...
  0.290491382935308420E1,0.518254429195398275E2;0.971103280108929050E0,(-0.253200636017471826E0),(-0.626901540013607901E0),(-0.563356097406179763E0),(-0.162257516015922379E1),0.918918821118067148E0, ...
  0.476788927941856087E2;0.972778530347597518E0,(-0.244839944523206800E0),(-0.615973283180007898E0),(-0.519557373353520519E0),(-0.162250153649406547E1),(-0.867730224008486231E0),0.403339252691125935E2; ...
  0.974208637725434864E0,(-0.237589188054014491E0),(-0.607071608043812846E0),(-0.481544120281907531E0),(-0.157683470354011861E1),(-0.215659429249107750E1),0.318559741443934595E2;0.975508067420622131E0,( ...
  -0.230897092981251393E0),(-0.599344523912366059E0),(-0.447319997588433954E0),(-0.150356995908102236E1),(-0.307046788766114965E1),0.229502308293088024E2;0.976732085618815893E0,(-0.224490967457407529E0) ...
  ,(-0.592386009870620736E0),(-0.415940734853766680E0),(-0.141228548235352340E1),(-0.366843798090609296E1),0.141515585691241649E2;0.977907087385507093E0,(-0.218236347591075991E0),( ...
  -0.585995501010626964E0),(-0.387024701912197683E0),(-0.131004715759284421E1),(-0.398702007381438480E1),0.598850732828451549E1;0.979050581153463127E0,(-0.212038891675662174E0),(-0.580040067067064614E0) ...
  ,(-0.360311010407738408E0),(-0.120252965811622772E1),(-0.406191971413384581E1),(-0.106778819582513228E1);0.980177886915302769E0,(-0.205809961225102291E0),(-0.574411191206050072E0),( ...
  -0.335531227391633057E0),(-0.109423133686139275E1),(-0.393244843313296140E1),(-0.664126586251563005E1);0.981307612500561734E0,(-0.199435074818776011E0),(-0.568996165164507278E0),( ...
  -0.312323091427326745E0),(-0.988334600188211480E0),(-0.364056323095599831E1),(-0.104816083521202150E2);0.982467642420228814E0,(-0.192734574780403961E0),(-0.563653159004048327E0),( ...
  -0.290163083599792967E0),(-0.886561816347656110E0),(-0.322734644908013103E1),(-0.124665471104642560E2);0.983739053133123331E0,(-0.185187688966554656E0),(-0.558027330840299068E0),( ...
  -0.267685877513473177E0),(-0.786579523653674102E0),(-0.271582578505544025E1),(-0.125580114328137286E2);0.985064900903628769E0,(-0.177059555568614950E0),(-0.552391412520846826E0),( ...
  -0.246012436465739474E0),(-0.696953017148347526E0),(-0.219465634185439222E1),(-0.109781540330290320E2);0.986286775145954219E0,(-0.169300262808191166E0),(-0.547384867290951853E0),( ...
  -0.227360967199452444E0),(-0.627233194099297381E0),(-0.177523891819379643E1),(-0.879641350312065370E1);0.987411337593695482E0,(-0.161896245337057184E0),(-0.542921038906580307E0),( ...
  -0.211089029241057895E0),(-0.572586458565505014E0),(-0.145892327454543259E1),(-0.677896968388634365E1);0.988502247397942681E0,(-0.154436096339079209E0),(-0.538711988246009345E0),( ...
  -0.195943644536133875E0),(-0.526716757619241995E0),(-0.121386408771146740E1),(-0.514321998259034696E1);0.989586087749285161E0,(-0.146710127909765371E0),(-0.534640009742289711E0),( ...
  -0.181370559597190003E0),(-0.486699144637267414E0),(-0.101970069446933187E1),(-0.392440903625813382E1);0.990674620297902043E0,(-0.138580968093994644E0),(-0.530653451626657755E0),( ...
  -0.167074855122528834E0),(-0.450954554869986684E0),(-0.861354016341000955E0),(-0.305059227852025957E1);0.991764632832626419E0,(-0.129998207292433573E0),(-0.526758773880478269E0),( ...
  -0.152969471639383509E0),(-0.418796126926257688E0),(-0.729086233605489240E0),(-0.242051221992466723E1);0.992843435698455158E0,(-0.120973597816869032E0),(-0.522994656384627292E0),( ...
  -0.139076873357313978E0),(-0.389961599179365747E0),(-0.616978451913550948E0),(-0.195251337419258122E1);0.993894756060106773E0,(-0.111547477166140223E0),(-0.519408521876741253E0),( ...
  -0.125447802306529988E0),(-0.364311197834270959E0),(-0.521209460703430710E0),(-0.159609931906728075E1);0.994904340773854870E0,(-0.101745380492858516E0),(-0.516037307264366587E0),( ...
  -0.112093064382164807E0),(-0.341660102902209467E0),(-0.438762880973545571E0),(-0.132045975555790829E1);0.995859541728958596E0,(-0.915774977696199645E-1),(-0.512910198596663005E0),( ...
  -0.989913237072407481E-1),(-0.321808100473883348E0),(-0.367150218822265161E0),(-0.110534156127567453E1);0.996747333412832542E0,(-0.810560970690160690E-1),(-0.510056034185372558E0),( ...
  -0.861162996359956276E-1),(-0.304590047438976460E0),(-0.304378006788633632E0),(-0.936873762076152967E0);0.997554614543173017E0,(-0.701939411867196820E-1),(-0.507502798650410972E0),( ...
  -0.734346349393310994E-1),(-0.289869015083215859E0),(-0.248787058513566915E0),(-0.805161828662918883E0);0.998268145041990083E0,(-0.590075925184128917E-1),(-0.505278365355476828E0),( ...
  -0.609096492701306861E-1),(-0.277539177844828541E0),(-0.198973363788054571E0),(-0.703051813367250842E0);0.998874763347839171E0,(-0.475197021561959649E-1),(-0.503410389887278042E0),( ...
  -0.485031598078472957E-1),(-0.267524740081154742E0),(-0.153721436839339101E0),(-0.625353961215168897E0);0.999361722628820686E0,(-0.357632289995512335E-1),(-0.501925921220716096E0),( ...
  -0.361791368178387822E-1),(-0.259778860556729169E0),(-0.111959232873966463E0),(-0.568353311122523961E0);0.999717360379776092E0,(-0.237856966765518371E-1),(-0.500850083472879196E0),( ...
  -0.239073564206828833E-1),(-0.254279283640132011E0),(-0.727220630263030964E-1),(-0.529475116009657662E0);0.999932188696083773E0,(-0.116468969817237277E-1),(-0.500203558173967532E0),( ...
  -0.116611312544358936E-1),(-0.251019436764647974E0),(-0.351078910478231317E-1),(-0.507042025256499124E0);1,0,(-1/2),0,(-0.250000000080370854E0),0.251206587879913275E-6,(-0.500094078940271469E0)];

doSigm = nargin>1 && ~isequal(sigma,1);
if doSigm
    rsigma = 1./sigma;
    A = bsxfun(@times, A, rsigma);
end;

[dummy,bin] = histc(A(:),limits);%#ok : dummy cannot be avoided
invalid = bin==0;
bin(invalid)=1;
A(bin>cutoffbinidx)=1./A(bin>cutoffbinidx);
x = A(:)-origins(bin);
x(invalid)=nan;
stbl = size(func1,2);
func1c =  func1(bin,:); 
func2c =  func2(bin,:); 

val1 = func1c(:,stbl);
val2 = func2c(:,stbl);
for k=stbl-1:-1:1;
    val1= val1.*x + func1c(:,k);
    val2= val2.*x + func2c(:,k);
end;
val1 = reshape(val1, size(A));
val2 = reshape(val2, size(A));
if doSigm
    val1 = bsxfun(@times, val1, rsigma.^2);
    val2 = bsxfun(@times, val2, rsigma.^3);
end;